FSCK_V7FS(8) | System Manager's Manual | FSCK_V7FS(8)

# NAME

`fsck_v7fs` —
7th Edition(V7) filesystem consistency checker

# SYNOPSIS

`fsck_v7fs` | [`-FnPpy`] [`-B` byteorder] [`-o` options] filesystem ...

# DESCRIPTION

The `fsck_v7fs` utility verifies and repairs Version 7 file systems.

The following flags are interpreted by `fsck_v7fs`.

`-B` byteorder
  Convert the file system metadata to byteorder byte order if needed. Valid byte orders are “be”, “le”, and “pdp”.
`-F`
  Check file system inside a regular file.
`-n`
  Do not correct file system.
`-o`
  Options are specified with a `-o` flag followed by a comma separated string of options. The following options are available:
  `data`
    Check data block duplication.
  `free`
    Check free block duplication.
`-P`
  Display a progress meter for the file system check.
`-p`
  Preen mode. See fsck(8).
`-y`
  Causes `fsck_v7fs` to assume yes as the answer to all operator questions.

# SEE ALSO

fsck(8), mount_v7fs(8), newfs_v7fs(8)

# HISTORY

A `fsck_v7fs` utility appeared in NetBSD 6.0.

# AUTHORS

`fsck_v7fs` was written by UCHIYAMA Yasushi <uch@NetBSD.org>.

# BUGS

`fsck_v7fs` is still under construction.

September 11, 2016 | NetBSD 9.4